import Engine.GameEngine;
import Engine.IGameLogic;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class Main {

    public static final String url = "http://172.21.16.184:8000";

    public static String getHTML(String urlToRead) throws Exception {
        StringBuilder result = new StringBuilder();
        URL url = new URL(urlToRead);
        HttpURLConnection conn = (HttpURLConnection) url.openConnection();
        conn.setRequestMethod("GET");

        conn.setDoOutput(true);

        BufferedReader rd = new BufferedReader(new InputStreamReader(conn.getInputStream()));
        String line;
        while ((line = rd.readLine()) != null) {
            result.append(line);
            result.append("\n");
        }
        rd.close();
        return result.toString();
    }




    public static void main(String[] args) {
        String start="";
        try{
            start=getHTML(url+"/start");
        } catch(Exception e){
            System.out.println("Tak to je špatné, nejde načíst start:");
            System.out.println(e);
        }
        String zacatek[]=start.split("\n");

        System.out.println("Press I to automatic");

        try {
            boolean vSync = true;
            IGameLogic gameLogic = new DummyGame(zacatek);
            GameEngine gameEng = new GameEngine("GAME", 1000, 600, vSync, gameLogic);
            gameEng.start();
        } catch (Exception excp) {
            excp.printStackTrace();
            System.exit(-1);
        }




    }
}
